#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

int main() {
    vector<long long> line1 = longlongTokens(' ');
    vector<long long> line2 = longlongTokens(' ');
    assertEOF();

    assert(line1.size() == 1);
    assert(line2.size() == 1);

    long long n = line1[0];
    long long k = line2[0];
    assert(1 <= n && n <= 1e9);
    assert(1 <= k && k <= n);

    string s = to_string(k);
    for (int i = 1; i < s.size(); i++) {
        assert(s[i] == s[i-1]);
    }

    int ans = 0;

    long long nextFlat = 1;
    int cnt = 0;
    while (nextFlat != k) {
        cnt++;

        nextFlat = nextFlat*10+nextFlat%10;
        if (nextFlat > n) nextFlat = nextFlat%10+1;
    }

    cout << cnt+1 << endl;

    return 0;
}
